Description

The .../config/boot.rb file that ships with Redmine does not work well with symlinked directories.  Specifically, during packaging for

Debian I needed to replace .../vendors/rails with the Debian equivalent.  Symlinking .../vendor/rails -> /usr/share/rails broke Redmine

so that it wouldn't find the Rails install at all.

The attached patch uses the expand_path() function on the File object to pre-expand the symlinks so they don't cause problems

later.  This shouldn't affect anything else although I have only tested it on Debian Lenny, not Windows or any other flavor of Unix.  If

there is a better way to do this then please let me know and I'll update my package.

Thanx!

Richard

Associated revisions

Revision 1820 - 2008-09-13 20:32 - Jean-Philippe Lang

Expand RAILS_ROOT path on startup (#1892).

Revision 1849 - 2008-09-14 17:36 - Nicolas Chuche

r18556@gaspard (orig r1820):  jplang | 2008-09-13 20:32:37 +0200

Expand RAILS_ROOT path on startup (#1892).

History

#1 - 2008-09-12 21:41 - Richard Hurt

This patch is related to issue #1750.

#2 - 2008-09-13 20:29 - Jean-Philippe Lang

- Status changed from New to Closed

It doesn't seem to affect anything on Windows and I can see that Radiant did the same (http://github.com/radiant/radiant/tree/master/config/boot.rb).

Patch committed in r1820.

Since boot.rb is a standard Rails file (no Redmine specific), I suggest you to report this problem to the Rails team.

#3 - 2008-09-13 22:17 - Richard Hurt

I've commented on the update in the Rails VCS but am not sure about opening a ticket just yet.  It looks like they purposefully added the

expand_path() to the Windows code but not the Unix code.  I'm trying to get more info about why they decided to do that.  Maybe there is something

going on that we don't know about and I just want to cover all the bases.  :)

Thanx!

Richard

Files

boot.rb.patch 353 Bytes 2008-09-12 Richard Hurt

Powered by TCPDF (www.tcpdf.org)

2025-05-01 1/1

https://www.redmine.org/issues/1750
http://github.com/radiant/radiant/tree/master/config/boot.rb
https://www.redmine.org/projects/redmine/repository/svn/revisions/1820
http://www.tcpdf.org

